EM FHEquiv

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page EM FHEquiv and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

EM FHEquiv.svg EM FHEquiv

Emplacement du menu
EM → FHEquiv
Ateliers
EM (Addon)
Raccourci par défaut
E E
Introduit dans la version
0.17
Voir aussi
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort,


Description

L'outil FHEquiv court-circuite deux objets FHNode.

EM FHEquiv Example.png

FastHenry FHEquiv


Utilisation

L'objet FHEquiv est basé sur les deux FHNodes existants qu'il court-circuitera.

  1. Sélectionnez deux EM FHNode.svg FHNode objets
  2. Appuyez sur le bouton EM FHEquiv.svg EM FHEquiv ou appuyez sur les touches E puis E.

Remarques

  • Si vous devez court-circuiter plusieurs nœuds, créez simplement plusieurs nœuds FHEquiv. Vous n'avez pas besoin d'un maillage complet de nœuds FHEquiv, car bien sûr, si nœud1 est court-circuité avec nœud2, et nœud2 est court-circuité avec nœud3, également nœud1 résultera en court-circuit avec nœud3.

Propriétés

  • DonnéesNode1: le premier FHNode à court-circuiter
  • DonnéesNode2: le deuxième FHNode à court-circuiter

Script

Voir aussi : Débuter avec les scripts.

L'outil FHEquiv peut-être utilisé dans des macros et depuis la console Python en utilisant la fonction suivante:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Crée un objet FHEquiv.
  • node1 est le premier objet de noeud FHNode à court-circuiter.
  • node2 est le deuxième objet de noeud FHNode à court-circuiter.
    • name est le nom de l'objet

Exemple:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)